Subject: bug#56512: gnu.org does not redirect http to https

From: Csepp <[email-masked]>
Date: Tue, 12 Jul 2022 22:19:06 +0200

Ronak B <[email-masked]> writes:

> Thank you for the quick replies. Ok I will email the GNU project with regard to the lack of a redirect.
>
> I think we should change the man doc at least in all coreutils to use https in the links instead of http. 
>
> Can we repurpose this ticket for that work or should we create a separate ticket to update the man docs?
>
> On Tue, Jul 12, 2022, 6:05 AM Akib Azmain Turja <[email-masked]> wrote:
>
>  Julien Lepiller <[email-masked]> writes:
>
>  > Guix does not control the infrastructure behind the GNU project. You need to contact the GNU sysadmins, though I don't know how :)
>
>  Check out <https://www.gnu.org/contact/>, it contains some information
>  that might be interesting to you.
>
>  Quoting from that page:
>
>  > Security reports 
>  > for gnu.org or one of its subdomains
>  > 
>  > * If you have GnuPG setup, send encrypted email the FSF Executive
>  >   Director, Deputy Director, Web Developer, and Senior Sysadmins
>  >   listed on our Staff and Board page.
>  > * If you don't have GnuPG setup, write to <[email-masked]>.
>
>  And obviously, there is Richard Stallman <[email-masked]>.
>
>  -- 
>  Akib Azmain Turja
>
>  This message is signed by me with my GnuPG key.  It's fingerprint is:
>
>      7001 8CE5 819F 17A3 BBA6  66AF E74F 0EFA 922A E7F5

Remember that Guix now also has Tor mirrors which don't benefit from or
are hindered by HTTPS.